Bug 826872 - Trying to use the Pod::Man "parse_file" function in Perl results in errors
Summary: Trying to use the Pod::Man "parse_file" function in Perl results in errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-31 07:47 UTC by Petr Pisar
Modified: 2012-09-20 20:38 UTC (History)
11 users (show)

Fixed In Version: perl-5.16.1-235.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of: 819042
Environment:
Last Closed: 2012-09-20 20:38:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 77032 None None None 2012-09-14 10:52:07 UTC
CPAN 77530 None None None 2012-09-14 10:52:22 UTC

Description Petr Pisar 2012-05-31 07:47:53 UTC
+++ This bug was initially created as a clone of Bug #819042 +++

If I try to use the Pod::Man "parse_file" function, I get failures.  Even the simplest invocation, directly from the man page, gives uninitialized value and strict refs errors.

[...]

The documentation (man Pod::Man) says:

    SYNOPSIS
           use Pod::Man;
           my $parser = Pod::Man->new (release => $VERSION, section => 8);

           # Read POD from STDIN and write to STDOUT.
           $parser->parse_file (\*STDIN);
    ...
       The standard Pod::Simple method parse_file() takes one argument naming
       the POD file to read from.  By default, the output is sent to "STDOUT",
       but this can be changed with the output_fd() method.

[...]

$ perl -we 'use strict; use Pod::Man; my $p = Pod::Man->new(); $p->parse_file($ARGV[0]);' /usr/share/perl5/Pod/Man.pm
Use of uninitialized value in ref-to-glob cast at /usr/share/perl5/Pod/Man.pm line 722.
Can't use string ("") as a symbol ref while "strict refs" in use at /usr/share/perl5/Pod/Man.pm line 722.

[...]
--- Additional comment from ppisar@redhat.com on 2012-05-31 07:40:08 GMT ---

Pod::Man developer decided do the fix in podlators-2.4.1 (http://cpansearch.perl.org/src/RRA/podlators-2.4.1/ChangeLog).
-----

perl-5.14.2-197.fc16.x86_64 in Fedora 16 affected. We should patch the perl or provide podlators-2.4.1 as dual-lived package.

Comment 1 Fedora Update System 2012-09-14 12:03:46 UTC
perl-5.16.1-231.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-5.16.1-231.fc18

Comment 2 Fedora Update System 2012-09-14 12:17:06 UTC
perl-5.14.2-215.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-5.14.2-215.fc17

Comment 3 Fedora Update System 2012-09-14 12:18:22 UTC
perl-5.14.2-201.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-5.14.2-201.fc16

Comment 4 Petr Pisar 2012-09-14 12:41:09 UTC
Fixed in F19 as perl-5.16.1-235.fc19.

Comment 5 Fedora Update System 2012-09-16 17:10:49 UTC
Package perl-5.16.1-231.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.16.1-231.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13954/perl-5.16.1-231.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-09-20 20:38:35 UTC
perl-5.16.1-231.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.